解决pip安装程序超时问题

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/one312/article/details/81062489

解决方法,设置超时时间:pip --default-timeout=100 install -U xgboost


Traceback (most recent call last):

  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 302, in _error_catcher
    yield
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 384, in read
    data = self._fp.read(amt)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/cachecontrol/filewrapper.py", line 60, in read
    data = self.__fp.read(amt)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/http/client.py", line 449, in read
    n = self.readinto(b)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/http/client.py", line 493, in readinto
    n = self.fp.readinto(b)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/ssl.py", line 1002, in recv_into
    return self.read(nbytes, buffer)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/ssl.py", line 865, in read
    return self._sslobj.read(len, buffer)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/ssl.py", line 625, in read
    v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out


During handling of the above exception, another exception occurred:


Traceback (most recent call last):
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/basecommand.py", line 228, in main
    status = self.run(options, args)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 291, in run
    resolver.resolve(requirement_set)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/resolve.py", line 103, in resolve
    self._resolve_one(requirement_set, req)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/resolve.py", line 257, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/resolve.py", line 210, in _get_abstract_dist_for
    self.require_hashes
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/operations/prepare.py", line 310, in prepare_linked_requirement
    progress_bar=self.progress_bar
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 837, in unpack_url
    progress_bar=progress_bar
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 674, in unpack_http_url
    progress_bar)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 898, in _download_http_url
    _download_url(resp, link, content_file, hashes, progress_bar)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 618, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/utils/hashes.py", line 48, in check_against_chunks
    for chunk in chunks:
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 586, in written_chunks
    for chunk in chunks:
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/utils/ui.py", line 159, in iter
    for x in it:
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_internal/download.py", line 575, in resp_read
    decode_content=False):
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 436, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 401, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/root/anaconda3/envs/tensorflow/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 307, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
展开阅读全文

没有更多推荐了,返回首页